//---------------------------------------版权信息--------------------------------------------------
// ExoBUD MP(II) v4.5 plus [wmp-obj v7.1/v9]
// (C)Copyright 1999-2005 ExoBUD , Design by Jinwoong, Yu. 
// Homepage  : http://exobud.nayana.org , http://exobud.freeto.net
// E-Mail : exobud@hanmail.net
// ICQ : 96138429 (authorization mode)
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// 面版制作:千千静听
// 网址:    TTPlayer.com
//
// 汉化收集站: 辣辣箭
// 网站: http://www.cuiz.net   
// 电子邮箱: jian08@126.com  
// OICQ号码: 79342254
// 发表日期: 2007-05-20
//********************************************************************************************
//    版权所有。
//    请尊重智慧财产权： 无论您对本程式 ExoBUD MP(II) 作任何修改、制作(或翻译)面板，请您
//    *必须*保留此段版权信息的内容，包括程序(及面板)原作者及中文化作者的名字和网站链接。
//
//    请不要将程式(或面板)原作者或中文化作者的名字改成您自己的名字，
//    然后以另一程式名称重新命名后在网上公开发表及散播本程式，因为这是严重的侵权行为。
//
//    这是免费程序，所以请不要使用在商业用途上。
//    另外，您也不可将本程序(全部或部份)复制到其他储存媒体(例如光碟)上作贩卖获利用途。
//
//    申明:因为使用本程序对你造成任何后果，程序原作者及中文化作者均不用对其负责。
//
//+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	var via = parent;
	var write_via = "parent";
	var iLoc= self.location.href;

	function playSel(){via.wmpStop();via.startExobud();}
	function refreshPl(){ self.location=iLoc;}
	function chkSel(){via.chkAllSel();refreshPl();}
	function chkDesel(){via.chkAllDesel();refreshPl();}

	function dspList(n){
		
		var elmABlock= 10;// 设定每页可显示多少个播放项目
		var totElm = via.intMmCnt;
		var totBlock= Math.floor((via.intMmCnt -1) / elmABlock)+1;
		var cblock;
		if(n==null){cblock=1;}
		else{cblock=n;}
		var seed;
		var limit;
		if(cblock < totBlock){seed= elmABlock * (cblock-1); limit =  cblock*elmABlock -1}
		else{seed=elmABlock * (cblock-1); limit= totElm-1;}

	if(via.intMmCnt >0 ){
		var list_num=0;
		mmList.innerHTML='<p>';
		for (var i=seed; i <= limit; i++)
		{	list_num = i + 1;
			if(via.objMmInfo[i].selMm=="t"){elm='&nbsp;&nbsp;<input type=checkbox  style="cursor:hand;" onfocus=blur() onClick='+ write_via + '.chkItemSel('+ i +'); checked>' ;}
			else{elm = '&nbsp;<input type=checkbox style="cursor:hand;" onfocus=blur() onClick='+ write_via + '.chkItemSel('+ i +');>' ;}
			elm = elm + '&nbsp;' + list_num + '. ' 
			elm = elm + '<a href=javascript:' + write_via + '.selPlPlay(' + i + ');'
			elm = elm + ' onfocus=blur() onclick=\"this.blur();\">'
			if(via.objMmInfo[i].mmTit =="nAnT"){ elm = elm + "未指定媒体标题(等待自动取得媒体信息)";}
			else{elm = elm + via.objMmInfo[i].mmTit;}
			elm= elm+  '</a><br>';
			mmList.innerHTML=mmList.innerHTML+elm;
		}

                var pmin=new Number(cblock)-3;
		var pmax=new Number(cblock)+3;
		var ppre=new Number(cblock)-1;
		var pnext=new Number(cblock)+1;
		if(pmin<=3){pmin=1;pmax=7;}
		if(pmax>totBlock){pmax=totBlock;}
		if(ppre<=1){ppre=1;}
		if(pnext>totBlock){pnext=totBlock;}

		for(var j=pmin; j<=pmax; j++){
			page='<a href=javascript:dspList('+j+') onFocus=blur()>['+j+']</a> ';
		}

		pageInfo.innerHTML='&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href=javascript:dspList(1) onfocus=blur() title=首页><font face="Webdings">9</font></a>&nbsp;<a href=javascript:dspList('+ppre+') onfocus=blur() title=上一页><font face="Webdings">3</font></a>&nbsp;第<font color=#3399FF><b>'+cblock+ '</b></font>页&nbsp;共'+ totBlock+'页&nbsp;共'+totElm+'首&nbsp;<a href=javascript:dspList('+pnext+') onfocus=blur() title=下一页><font face="Webdings">4</font></a>&nbsp;<a href=javascript:dspList('+totBlock+') onfocus=blur() title=尾页><font face="Webdings">:</font></a>';

	}
	else { mmList.innerHTML='<div align=center>Cuiz.Net</div>'; }
	 }



// List Popping Up
function openPlaylist_i(layername)
{
	if (parent.opener)
	{
		if (parent.document.getElementById(layername).style.visibility == 'visible')
			{
				parent.document.getElementById(layername).style.visibility = 'hidden';
				parent.resizeTo(255,138);
			}
		else
			{
				parent.document.getElementById(layername).style.visibility = 'visible';
				parent.resizeTo(255,388);
			}
	}
	else
	{
		if (parent.document.getElementById(layername).style.visibility == 'visible') 
			parent.document.getElementById(layername).style.visibility = 'hidden';
		else
			parent.document.getElementById(layername).style.visibility = 'visible';
	}
}
